Name: org.tizen.apps
Summary: Apps application for Tizen TV based on AirFlex UX
Version: 0.3.1
Release: 1
Group: Applications/Core Applications
License: Apache-2.0
Source0: %{name}-%{version}.tar.gz
Source1: %{name}.manifest

BuildRequires: cmake
BuildRequires: pkgconfig(elementary)
BuildRequires: pkgconfig(capi-appfw-application)
BuildRequires: pkgconfig(app-utils)
BuildRequires: pkgconfig(pkgmgr-info)
BuildRequires: pkgconfig(capi-appfw-package-manager)
BuildRequires: pkgconfig(libtzplatform-config)

%define _appdir %{TZ_SYS_RO_APP}/%{name}
%define _bindir %{_appdir}/bin
%define _resdir %{_appdir}/res
%define _edjedir %{_resdir}/edje
%define _imgdir %{_resdir}/images
%define _pkgdir %{_datadir}/packages

%description
Apps application is for launching other applications.
It shows installed applications to the user.

%prep
%setup -q
cp %{SOURCE1} .

%build
cmake \
	-DCMAKE_INSTALL_PREFIX=%{_appdir} \
	-DPACKAGE_NAME=%{name} \
	-DVERSION=%{version} \
	-DBINDIR=%{_bindir} \
	-DRESDIR=%{_resdir} \
	-DEDJEDIR=%{_edjedir} \
	-DIMGDIR=%{_imgdir} \
	-DPACKAGEDIR=%{_pkgdir}

make %{?jobs:-j%jobs}

# Copies the executables to appropriate location
%install
%make_install

%clean
rm -rf %{buildroot}

%files
%manifest %{name}.manifest
%defattr(-,root,root,-)
%{_bindir}/*
%{_resdir}/*
%{_pkgdir}/%{name}.xml
